0

I am new with elementary OS

I have a problem, my RX 480 Shappire nitro oc don't work with this OS and now i have a bad resolution

I follow this: http://support.amd.com/en-us/kb-articles/Pages/AMD-Radeon-GPU-PRO-Linux-Beta-Driver%E2%80%93Release-Notes.aspx

But not supported by elementary OS (it's Ubuntu 16.04) but don't work, help please?

0

Stick with using the Default Open Source drivers. Installing the one from AMD will give you a black screen on boot and then you will have a hell of a time undoing and fixing that.

Stick with the defaults as the RX 480 truly is not supported for Elementary by AMD.

0

According to this article on Phoronix support for your graphics card was added to the open source AMD driver after the initial release of Ubuntu 16.04 (on which elementary is based).

You should be able to install AMDGPU Pro by following the instructions for Ubuntu 16.04 without issues.

You will have a much better experience with the open source drivers than with AMDGPU Pro (things are less likely to break).

However if you want to install AMDGPU Pro you will still need to update the open source drivers as below (as you sill need a kernel update to support your graphics card).

Ubuntu supply updated drivers for their LTS releases to enable new hardware (as each release is supported for 5 years). Instructions to install these drivers can be found here.

To install updated drivers run the following command in a terminal and restart your system after it completes:

sudo apt-get install --install-recommends linux-generic-hwe-16.04 xserver-xorg-hwe-16.04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.